LibreOffice: XHatchWindowController Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XHatchWindowController Interface Referencepublished

specifies the operations for a hatch window. More...

`import "XHatchWindowController.idl";`

Inheritance diagram for XHatchWindowController:

## Public Member Functions
void | requestPositioning ([in] com::sun::star::awt::Rectangle aRect)
| requests window owner to resize/move the window.
com::sun::star::awt::Rectangle | calcAdjustedRectangle ([in] com::sun::star::awt::Rectangle aRect)
| returns the closest valid rectangle to the provided one.
void | activated ()
void | deactivated ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies the operations for a hatch window.

A hatch window owner is responsible to handle resize/move requests sent by the window. It is also responsible to validate tracking rectangle size.

## Member Function Documentation

## ◆ activated()

void activated | ( |  | ) |

## ◆ calcAdjustedRectangle()

com::sun::star::awt::Rectangle calcAdjustedRectangle | ( | [in] com::sun::star::awt::Rectangle | aRect | ) |

returns the closest valid rectangle to the provided one.

Parameters

  aRect | a new selected position and size of the tracking rectangle

Returns
  the closest valid position and size to the provided one

## ◆ deactivated()

void deactivated | ( |  | ) |

## ◆ requestPositioning()

void requestPositioning | ( | [in] com::sun::star::awt::Rectangle | aRect | ) |

requests window owner to resize/move the window.

Parameters

  aRect | the new requested position and size of the window

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XHatchWindowController.idl